/* 
 * @file reg_value_type.h
 * 
 * @brief  AIC3268 structure for storing register values
 *
 * @copyright Copyright (C) 2021 Texas Instruments Incorporated - http://www.ti.com/
 * All rights reserved. 
 * 
 * Software License Agreement
 * Texas Instruments (TI) is supplying this software for use solely and
 * exclusively on TI's Microcontroller and/or Data Converter products. 
 * The software is owned by TI and/or its suppliers, and is protected 
 * under applicable @copyright Copyright laws.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITH ALL FAULTS.
 * NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT
 * NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. TI SHALL NOT, UNDER ANY
 * CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR CONSEQUENTIAL
 * DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 */ 

#ifndef TYPE_H_
#define TYPE_H_

/********************************************************************************************/
/*    Type Definitions                                                                      */
/********************************************************************************************/
typedef struct {
    uint8_t reg_off;
    uint8_t reg_val;
} reg_value;


#endif /* TYPE_H_ */
